Your message dated Sun, 16 Oct 2016 17:13:47 +0200
with message-id <20161016151347.cwdmbmoyrleqz...@msg.df7cb.de>
and subject line Re: [Pkg-postgresql-public] Bug#840882: postgresql-common: 
Prescribed Upgrade fails
has caused the Debian Bug report #840882,
regarding postgresql-common: Prescribed Upgrade fails
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
840882: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840882
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: postgresql-common
Version: 177
Severity: important

A while ago this machine was installed with testing.

A few days ago I was informed to upgrade postgresql. This worked
flawlessly in previous versions of Debian.

Now I drop the default main in 9.6, i.e.
root@samd:~# pg_dropcluster --stop 9.6 main
Redirecting stop request to systemctl

Now I do the update as prescribe in the upgrade notice:
root@samd:~# pg_upgradecluster 9.5 main
Stopping old cluster...
Notice: extra pg_ctl/postgres options given, bypassing systemctl for stop 
operation
pg_ctl: Server fährt nicht herunter
TIPP: Die Option »-m fast« beendet Sitzungen sofort, statt auf das Beenden
durch die Sitzungen selbst zu warten.
Error: Could not stop old cluster

In english:
Stopping old cluster...
Notice: extra pg_ctl/postgres options given, bypassing systemctl for stop 
operation
pg_ctl: Server does not shut down
Hint: The option »-m fast« terminates session immediately, instead of waiting 
for the session
to terminate itself
Error: Could not stop old cluster

I cannot find any information in /var/log/postgresql.

I'm now lost how to finish the upgrade…

-- System Information:
Debian Release: stretch/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 4.5.5samd.10-grsec (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL 
set to de_DE.UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages postgresql-common depends on:
ii  adduser                   3.115
ii  debconf [debconf-2.0]     1.5.59
ii  init-system-helpers       1.45
ii  lsb-base                  9.20160629
ii  postgresql-client-common  177
ii  procps                    2:3.3.12-2
ii  ssl-cert                  1.0.38
ii  ucf                       3.0036

Versions of packages postgresql-common recommends:
ii  logrotate  3.8.7-2

postgresql-common suggests no packages.

-- debconf information:
* postgresql-common/obsolete-major:
* postgresql-common/ssl: true
  postgresql-common/catversion-bump:

-- 
      Dr. Helge Kreutzmann                     deb...@helgefjell.de
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/

Attachment: signature.asc
Description: Digital signature


--- End Message ---
--- Begin Message ---
Re: Helge Kreutzmann 2016-10-15 
<20161015184452.GA4182@Debian-50-lenny-64-minimal>
> root@samd:~# pg_upgradecluster 9.5 main
> pg_ctl: Server fährt nicht herunter
> TIPP: Die Option »-m fast« beendet Sitzungen sofort, statt auf das Beenden
> durch die Sitzungen selbst zu warten.
> Error: Could not stop old cluster

Hi,

the problem is that there are still open connections to the 9.5
server. You need to remove these before attempting the upgrade.

Alternatively, you can add "-m fast" to /etc/postgresql/9.5/main/pg_ctl.conf.

We'll likely make that the default in the future. (See #756008)


Re: Helge Kreutzmann 2016-10-16 
<20161016094623.GA31972@Debian-50-lenny-64-minimal>
> Hello,
> after a reboot I see:
> helge@samd:~/texte/TODO$ psql rechnung
> psql (9.6.0, Server 9.5.4)

psql 9.6, connected to a 9.5 server.

Christoph

--- End Message ---

Reply via email to